Bug 14823 - Some XRegExp regular expressions are syntax errors in WebKit
Summary: Some XRegExp regular expressions are syntax errors in WebKit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://blog.stevenlevithan.com/archiv...
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-07-30 20:53 PDT by Geoffrey Garen
Modified: 2009-08-06 17:23 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Geoffrey Garen 2007-07-30 20:53:25 PDT
Reported here: http://blog.stevenlevithan.com/archives/xregexp-safari.

The following regexps are syntax errors in WebKit but not Firefox:

/[[\\]/
/[^[\\]/
/[abc[\\]/

"SyntaxError: Invalid regular expression: missing terminating ] for character class"
Comment 1 Adam Roben (:aroben) 2007-07-30 22:20:50 PDT
<rdar://problem/5336079>
Comment 2 Ian 'Hixie' Hickson 2007-12-28 22:27:40 PST
This seems to be fixed in the nightlies.